summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGluzskiy Alexandr <sss@sss.chaoslab.ru>2018-03-10 00:04:19 +0300
committerGluzskiy Alexandr <sss@sss.chaoslab.ru>2018-03-10 00:04:19 +0300
commit67699aec80b613ef3aaeac108408c7585b8099f6 (patch)
treeaed8056d8163f7b3494c202013cb6512f1793855
parent6f262a88ce266ee1b3856df39fdbe31ca2edfc3a (diff)
libressl-scm
-rw-r--r--dev-libs/libressl/.libressl-scm.ebuild.swpbin0 -> 12288 bytes
-rw-r--r--dev-libs/libressl/files/update.sh.patch25
-rw-r--r--dev-libs/libressl/libressl-scm.ebuild66
-rw-r--r--dev-libs/libressl/metadata.xml30
4 files changed, 121 insertions, 0 deletions
diff --git a/dev-libs/libressl/.libressl-scm.ebuild.swp b/dev-libs/libressl/.libressl-scm.ebuild.swp
new file mode 100644
index 0000000..65841f9
--- /dev/null
+++ b/dev-libs/libressl/.libressl-scm.ebuild.swp
Binary files differ
diff --git a/dev-libs/libressl/files/update.sh.patch b/dev-libs/libressl/files/update.sh.patch
new file mode 100644
index 0000000..688270c
--- /dev/null
+++ b/dev-libs/libressl/files/update.sh.patch
@@ -0,0 +1,25 @@
+diff --git a/update.sh b/update.sh
+index f11aa04..4016093 100755
+--- a/update.sh
++++ b/update.sh
+@@ -3,20 +3,6 @@ set -e
+
+ openbsd_branch=`cat OPENBSD_BRANCH`
+
+-# pull in latest upstream code
+-echo "pulling upstream openbsd source"
+-if [ ! -d openbsd ]; then
+- if [ -z "$LIBRESSL_GIT" ]; then
+- git clone https://github.com/libressl-portable/openbsd.git
+- else
+- git clone $LIBRESSL_GIT/openbsd
+- fi
+-fi
+-(cd openbsd
+- git fetch
+- git checkout $openbsd_branch
+- git pull --rebase)
+-
+ # setup source paths
+ CWD=`pwd`
+ OPENBSD_SRC=$CWD/openbsd/src
diff --git a/dev-libs/libressl/libressl-scm.ebuild b/dev-libs/libressl/libressl-scm.ebuild
new file mode 100644
index 0000000..e89cc24
--- /dev/null
+++ b/dev-libs/libressl/libressl-scm.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils multilib-minimal git-r3
+
+DESCRIPTION="Free version of the SSL/TLS protocol forked from OpenSSL"
+HOMEPAGE="http://www.libressl.org/"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/libressl-portable/portable.git"
+
+LICENSE="ISC openssl"
+# Reflects ABI of libcrypto.so and libssl.so. Since these can differ,
+# we'll try to use the max of either. However, if either change between
+# versions, we have to change the subslot to trigger rebuild of consumers.
+SLOT="0/44"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
+IUSE="+asm static-libs"
+
+RDEPEND="!dev-libs/openssl:0"
+DEPEND="${RDEPEND}"
+PDEPEND="app-misc/ca-certificates"
+
+PATCHES=(
+ "${FILESDIR}/update.sh.patch"
+)
+
+src_unpack() {
+ git-r3_src_unpack
+ EGIT_REPO_URI="https://github.com/libressl-portable/openbsd.git"
+ EGIT_CHECKOUT_DIR=${WORKDIR}/${P}/openbsd
+ git-r3_src_unpack
+}
+
+src_prepare() {
+ default
+ ./autogen.sh
+ touch crypto/Makefile.in
+
+ sed -i \
+ -e '/^[ \t]*CFLAGS=/s#-g ##' \
+ -e '/^[ \t]*CFLAGS=/s#-g"#"#' \
+ -e '/^[ \t]*CFLAGS=/s#-O2 ##' \
+ -e '/^[ \t]*CFLAGS=/s#-O2"#"#' \
+ -e '/^[ \t]*USER_CFLAGS=/s#-O2 ##' \
+ -e '/^[ \t]*USER_CFLAGS=/s#-O2"#"#' \
+ configure || die "fixing CFLAGS failed"
+
+ eapply_user
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ $(use_enable asm) \
+ $(use_enable static-libs static)
+}
+
+multilib_src_test() {
+ emake check
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ prune_libtool_files
+}
diff --git a/dev-libs/libressl/metadata.xml b/dev-libs/libressl/metadata.xml
new file mode 100644
index 0000000..a7201a6
--- /dev/null
+++ b/dev-libs/libressl/metadata.xml
@@ -0,0 +1,30 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>libressl@gentoo.org</email>
+ </maintainer>
+ <longdescription lang="en">
+ LibreSSL is a version of the TLS/crypto stack forked from OpenSSL in
+ 2014, with goals of modernizing the codebase, improving security, and
+ applying best practice development processes.
+ </longdescription>
+ <use>
+ <flag name="asm">Enables assembly</flag>
+ </use>
+ <upstream>
+ <changelog>http://www.libressl.org/releases.html</changelog>
+ <bugs-to>
+ https://github.com/libressl-portable/portable/issues
+ </bugs-to>
+ <remote-id type="github">libressl-portable/portable</remote-id>
+ </upstream>
+ <slots>
+ <slot name="0">
+ Pin source packages to SLOT 0, as binary compatibility slots are expected to come and go.
+ </slot>
+ <subslots>
+ Reflect ABI of libcrypto.so and libssl.so only, NOT libtls.so.
+ </subslots>
+ </slots>
+</pkgmetadata>